MyGUI: MyGUI::ISubWidgetRect Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISubWidgetRect Class Reference

`#include <MyGUI_ISubWidgetRect.h>`

Inheritance diagram for MyGUI::ISubWidgetRect:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISubWidgetRect | RTTIBase
Public Types inherited from MyGUI::ISubWidget
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
virtual void | _setUVSet (const FloatRect &)
virtual void | _setColour (const Colour &)
Public Member Functions inherited from MyGUI::ISubWidget
template<typename Type>
bool | isType () const
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)=0
virtual void | destroyDrawItem ()=0
virtual void | setAlpha (float)
virtual void | setStateData (IStateInfo *)
virtual void | doRender ()=0
virtual void | setAlign (Align _value)
virtual void | setVisible (bool _value)
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &)
virtual void | doManualRender (IVertexBuffer *, ITexture *, size_t)
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISubWidget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Attributes inherited from MyGUI::ISubWidget
Align | mAlign
bool | mVisible {true}
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

Definition at line 17 of file MyGUI_ISubWidgetRect.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISubWidgetRect::Base

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

## ◆ RTTIBase

typedef ISubWidgetRect MyGUI::ISubWidgetRect::RTTIBase

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

## Member Function Documentation

## ◆ _setColour()

virtual void MyGUI::ISubWidgetRect::_setColour | ( | const Colour & |  | ) |
| inlinevirtual

Reimplemented in MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 25 of file MyGUI_ISubWidgetRect.h.

## ◆ _setUVSet()

virtual void MyGUI::ISubWidgetRect::_setUVSet | ( | const FloatRect & |  | ) |
| inlinevirtual

Reimplemented in MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 22 of file MyGUI_ISubWidgetRect.h.

## ◆ getClassTypeName()

std::string_view MyGUI::ISubWidgetRect::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

## ◆ getTypeName()

virtual std::string_view MyGUI::ISubWidgetRect::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::MainSkin, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ISubWidgetRect::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISubWidgetRect::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::ISubWidget.

Reimplemented in MyGUI::MainSkin, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 19 of file MyGUI_ISubWidgetRect.h.

The documentation for this class was generated from the following file:

- MyGUI_ISubWidgetRect.h